Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/api/v1/events/{eventId}/speakers/{speakerId}GET
Authorization
apiKey *Bearer <token>
Event API key from Settings → API. Token in: header
Response
200
id *string
eventId *string
userId *string | null
email *string
status *"PENDING" | "INVITED" | "CONFIRMED" | "DECLINED"
firstName *string
lastName *string
bio *string | null
jobTitle *string | null
companyName *string | null
pronouns *string | null
websiteUrl *string | null
linkedinUrl *string | null
twitterUrl *string | null
headshotFileId *string | null
avatarUrl *string | null
sessions *object[]
Show item properties
id *string
title *string | null
role *"SPEAKER" | "MODERATOR"
confirmationStatus *"PENDING" | "CONFIRMED" | "DECLINED"
createdAt *number
updatedAt *number
400
code *string
message *string
details?object
401
code *string
message *string
details?object
403
code *string
message *string
details?object
404
code *string
message *string
details?object
500
code *string
message *string
details?object
Request example
curl -X GET "https://opensession.dev/api/v1/events/<eventId>/speakers/<speakerId>" \ -H "Authorization: Bearer <token>"